<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
		version="1.0"
                extension-element-prefixes="xt">

<xsl:output method="xml"/>
<xsl:template match="bugList">
   <svg xml:space="preserve" width="9in" height="9in">
   <g>
    <xsl:variable name="total"      select="count(bug)"/>
    <xsl:variable name="unresolved" select="count(bug) - count(bug[@state = '3'])"/>
    <xsl:variable name="orphan"     select="count(bug)-count(bug[@ownedBy])"/>

    <text x="85" y="200" style="font-size:10;font-color:#B34DFB">Total Bugs:
         <xsl:value-of select="$total"/>
    </text>    
    <text x="85" y="180" style="font-size:10;font-color:yellow">Unresolved:
         <xsl:value-of select="$unresolved"/>
    </text>    
    <text x="85" y="160" style="font-size:10;font-color:yellow">Without owner:
         <xsl:value-of select="$orphan"/>
    </text>    

    <xsl:variable name="unresolvedRadius" select="($unresolved div $total)*60"/>
    <xsl:variable name="orphanRadius" select="($orphan div $total)*60"/>

    <circle cx="125" cy="70" r="60" 
            style="fill:white;stroke:black;"/>    
    <circle cx="125" cy="70" r="{$unresolvedRadius}" 
            style="fill:yellow;stroke:yellow;"/>    
    <circle cx="125" cy="70" r="{$orphanRadius}" 
            style="fill:red;stroke:yellow;"/>    
   </g>

</svg>
</xsl:template>
</xsl:stylesheet>










