//----------------------------------------------------------------------------
//~Author: Fabio Arciniegas A.
//~Name: AddBugServlet
//~Description: A servlet for the addition of rows to a bug table
// This code is provided as part of the material explained in the book 
// "XML Developer's Guide" by Fabio Arciniegas A. 
// For educational purposes only. No warranties.
//
//----------------------------------------------------------------------------
//             This code has been formated to fit in 80 columns
//----------------------------------------------------------------------------
package com.faa.xslt.tutorial;

// Classes
import javax.servlet.http. HttpServlet;
import javax.servlet.http. HttpServletRequest;
import javax.servlet.http. HttpServletResponse;
import javax.servlet.      ServletOutputStream;
import javax.servlet.      RequestDispatcher;
import java.sql.           Connection;
import java.sql.           DriverManager;
import java.sql.           Statement;
import java.sql.           ResultSet;
import java.util.          Properties;
import java.io.            FileInputStream; 
import java.util.          Date; 
import java.text.          DateFormat; 

// Interfaces
import javax.servlet. ServletException;

// Exceptions
import java.io.IOException;
import java.sql.           SQLException;

public class AddBugServlet extends HttpServlet
{
  /** 
      Connect to the database and introduce the values passed by the 
      html form.
      @param req the request
      @param res the response
   */
 
    public void doPost(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException
	       
    {
	res.setContentType("text/html");
	ServletOutputStream out = res.getOutputStream();
	
	Connection conn = null;
	Statement stmt = null;
	Properties myDB = new Properties();
	int appended = 0;
	try 
	{
	 myDB.load(new FileInputStream("bugtracker.properties"));
	 Class.forName(myDB.getProperty("driver"));
         conn = DriverManager.getConnection(myDB.getProperty("URL"),
					   myDB.getProperty("user"),
					   myDB.getProperty("password"));
         stmt = conn.createStatement();

	 String description = req.getParameter("BugDesc").replace('\'',' ');
         appended = stmt.executeUpdate(
         "INSERT INTO Bugs VALUES ('" + description + "','" +
                                    DateFormat.getDateInstance().format(new Date()) + "'," +
                                    req.getParameter("BugType") + ",NULL," +
                                    "1," + //initial state
	                            "NULL,NULL," +
                                    req.getParameter("BugLevel") + ",'" +
                                    req.getRemoteUser()+"')");
	 out.println("it worked");
	 
	}
        catch(java.lang.ClassNotFoundException cnfe)
        {
	    System.out.println("Driver not Found");	    
	}
       catch (java.sql.SQLException sqle) 
       {
	    System.out.println("Failed to connect with the database (SQL) " + sqle);
	}
       catch (java.lang.Exception e) 
        {
	    System.out.println("Failed to connect with the database " + e);
	}
       finally {
	 // Clean up.
	 try {
	   if (stmt != null) 
	     stmt.close();
	   if (conn != null) 
	     conn.close();

	 RequestDispatcher rd;
	 
	 if(appended == 1)
	     rd = getServletContext().getRequestDispatcher(
                                "/app/main.jsp?added=yes");
	 else
	     rd = getServletContext().getRequestDispatcher(
                                "/app/main.jsp?added=no");
	 try
	 {
	     rd.forward(req,res);
	 }
	 catch(Exception e)
	 {
	     out.println("Unable to return to the main page!. Check logs.");
	     System.out.println(e);
	     
	 }

	 }
	 catch (SQLException sqlex) {
	   System.err.println("SQL exception in finally block");
	   sqlex.printStackTrace();
	 }
       }
	
    }
}











