<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
		version="1.0"
                extension-element-prefixes="xt">

<xsl:template match="bugList">
<xsl:import name="sections.xsl"/>

<html>
<title>Daily Stats Bug Report</title>
<body bgcolor="#ffffff">

<embed name="pie" width="210" height="210" src="/pie.svg" 
       type="image/svg-xml"
       pluginspage="http://www.adobe.com/svg/viewer/install/"/>

</body>
</html>
<xt:document method="xml" href="pie.svg">
   <svg xml:space="preserve" width="9in" height="9in">>
   <g>
    <xsl:variable name="total"      select="count(bug)"/>
    <xsl:variable name="unresolved" select="count(bug[@state = '1'])"/>
    <xsl:variable name="orphan"     select="count(bug)-count(bug[@owner])"/>

    <circle cx="73" cy="73" r="70" style="fill:white;stroke:black;"/>
    <text x="85" y="200" style="font-size:10;font-color:#B34DFB">Total Bugs:
         <xsl:value-of select="$total"/>
    </text>    
    <text x="85" y="180" style="font-size:10;font-color:yellow">Unresolved:
         <xsl:value-of select="$unresolved"/>
    </text>    
    <text x="85" y="160" style="font-size:10;font-color:yellow">Without owner:
         <xsl:value-of select="$orphan"/>
    </text>    

	<xsl:call-template name="sections.xsl"/>
   </g>
  
</svg>
</xt:document>
</xsl:template>
</xsl:stylesheet>










