<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
		version="1.0"
                extension-element-prefixes="xt">
<xsl:output method="html"/>
<xsl:template match="bugList">
    <html>
        <head>
	  <title> Bug Report </title>
	  <link href="/bugtracker/style.css" type="text/css" rel="stylesheet"/>
	</head>
	<body bgcolor="#008000" text="#FFFFFF" link="#FFFFFF">	

	<p align="center">
           <font face="Franklin Gothic Heavy" color="yellow" size="6">Bug Report</font></p>
	<p align="left">
	   <font face="Verdana" size="4">Statistics</font></p>
	<p align="left">
          <font face="Verdana">Total Bugs:
                         <xsl:value-of select="count(bug)"/>
         </font></p>

	<p align="left">
          <font face="Verdana"> Total Unresolved Bugs: 
                         <xsl:value-of select="count(bug) - count(bug[@state = '3']) "/>
          </font></p>

	<p align="left">
             <font face="Verdana"> Total Bugs Without An Owner:

                        <xsl:value-of select="count(bug)-count(bug[@ownedBy])"/>

       </font></p>


	<p align="left"><font face="Verdana" size="4">Bug List</font></p>

	<xsl:for-each select="bug">
	   <xsl:call-template name="myBug"/>
	</xsl:for-each>
     </body>
   </html>
  </xsl:template>

  <xsl:template name="myBug">
	<table border="1" width="100%">
	  <tr>
	    <td width="33%" valign="top" colspan="2"><b>Level</b>:
	     <xsl:value-of select="level"/>
	   </td>
	    <td width="34%" rowspan="4" valign="top"><b>Description</b>: 
	     <xsl:value-of select="description"/>
	   </td>
	  </tr>
	  <tr>
	    <td width="33%" valign="top" colspan="2"><b>State</b>:
            <xsl:value-of select="@state"/>
	</td>
	  </tr>
	  <tr>
	    <td width="16%"><b>Submision Date</b>:
               <xsl:value-of select="submittedOn"/> by
               <b> <xsl:value-of select="submittedBy"/></b>
	  </td>
	  </tr>
	  <tr>
	    <xsl:if test="@state = '3'">
		    <td width="33%" colspan="2">
                     <xsl:value-of select="@ownedBy"/> fixed it on 
                     <xsl:value-of select="fixedOn"/>.</td>
	    </xsl:if>
	  </tr>
	</table>
	<hr size="40"/>
  </xsl:template>
</xsl:stylesheet>









